-- Script moving building to another location SVRZ#17552

set echo on
SPOOL SVRZ#17552.LST

-- Verplaats het gebouw naar locatie Ter Valcke
UPDATE   alg_gebouw
   SET   alg_locatie_key = 62                                                   --  62 is Locatie: Ter Valcke
 WHERE   alg_gebouw_naam = 'Poelwijck';

-- Pas de locatie van de objecten ook aaan naar Ter Valcke.
--  62 is Locatie: Ter Valcke
-- 161 is Locatie: Poelwijck-Kraayert-Fonteyne
-- 2982 is Gebouw: Poelwijck
UPDATE   ins_deel
   SET   ins_alg_locatie_key = 62
 WHERE   ins_alg_locatie_key = 161 AND ins_alg_ruimte_type = 'R'
         AND ins_alg_ruimte_key IN
                  (SELECT   r.alg_ruimte_key
                     FROM   alg_ruimte r, alg_verdieping v, alg_gebouw g
                    WHERE       r.alg_verdieping_key = v.alg_verdieping_key
                            AND v.alg_gebouw_key = g.alg_gebouw_key
                            AND g.alg_gebouw_key = 2982);

COMMIT;
SPOOL OFF
